﻿using System;
using Windows.UI;
using Windows.UI.Xaml.Data;

namespace KoloryUWP
{
    public class ByteToDoubleConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            return (double)(byte)value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string languagee)
        {
            return (byte)(double)value;
        }
    }

    public class Int32ToColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            byte[] argb = BitConverter.GetBytes((int)value);
            return Color.FromArgb(argb[0], argb[1], argb[2], argb[3]);
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
